LEGENDRE(3)

NAME
PDL::GSLSF::LEGENDRE - PDL interface to GSL Special Functions

DESCRIPTION
This is an interface to the Special Function package present in the GNU Scientific Library.

SYNOPSIS

Functions

FUNCTIONS

  gsl_sf_legendre_Pl
  Signature: (double x(); double [o]y(); double [o]e(); int l)

P_l(x)

  gsl_sf_legendre_Pl_array
  Signature: (double x(); double [o]y(num); int l=>num)

P_l(x) from 0 to n-1.

  gsl_sf_legendre_Ql
  Signature: (double x(); double [o]y(); double [o]e(); int l)

Q_l(x)

  gsl_sf_legendre_Plm
  Signature: (double x(); double [o]y(); double [o]e(); int l; int m)

P_lm(x)

  gsl_sf_legendre_Plm_array
  Signature: (double x(); double [o]y(num); int l=>num; int m)

P_lm(x) for l from 0 to n-2+m.

  gsl_sf_legendre_sphPlm
  Signature: (double x(); double [o]y(); double [o]e(); int l; int m)

P_lm(x), normalized properly for use in spherical harmonics

  gsl_sf_legendre_sphPlm_array
  Signature: (double x(); double [o]y(num); int n=>num; int m)

P_lm(x), normalized properly for use in spherical harmonics for l from 0 to n-2+m.

  gsl_sf_conicalP_half
  Signature: (double x(); double [o]y(); double [o]e(); double lambda)

Irregular Spherical Conical Function P^{1/2}_{-1/2 + I lambda}(x)

  gsl_sf_conicalP_mhalf
  Signature: (double x(); double [o]y(); double [o]e(); double lambda)

Regular Spherical Conical Function P^{-1/2}_{-1/2 + I lambda}(x)

  gsl_sf_conicalP_0
  Signature: (double x(); double [o]y(); double [o]e(); double lambda)

Conical Function P^{0}_{-1/2 + I lambda}(x)

  gsl_sf_conicalP_1
  Signature: (double x(); double [o]y(); double [o]e(); double lambda)

Conical Function P^{1}_{-1/2 + I lambda}(x)

  gsl_sf_conicalP_sph_reg
  Signature: (double x(); double [o]y(); double [o]e(); int l; double lambda)

Regular Spherical Conical Function P^{-1/2-l}_{-1/2 + I lambda}(x)

  gsl_sf_conicalP_cyl_reg_e
  Signature: (double x(); double [o]y(); double [o]e(); int m; double lambda)

Regular Cylindrical Conical Function P^{-m}_{-1/2 + I lambda}(x)

  gsl_sf_legendre_H3d
  Signature: (double [o]y(); double [o]e(); int l; double lambda; double eta)

lth radial eigenfunction of the Laplacian on the 3-dimensional hyperbolic space.

  gsl_sf_legendre_H3d_array
  Signature: (double [o]y(num); int l=>num; double lambda; double eta)

Array of H3d(ell), for l from 0 to n-1.

AUTHOR
This file copyright (C) 1999 Christian Pellegrin <chri@infis.univ.trieste.it> All rights reserved. There is no warranty. You are allowed to redistribute this software / documentation under certain conditions. For details, see the file COPYING in the PDL distribution. If this file is separated from the PDL distribution, the copyright notice should be included in the file.

The GSL SF modules were written by G. Jungman.